We don't use the 'rebase-apply'.

Signed-off-by: Felipe Contreras <felipe.contre...@gmail.com>
---
 git-rebase--cherry.sh | 4 ++++
 git-rebase.sh         | 5 ++++-
 2 files changed, 8 insertions(+), 1 deletion(-)

diff --git a/git-rebase--cherry.sh b/git-rebase--cherry.sh
index cbf80f9..ab1f8b7 100644
--- a/git-rebase--cherry.sh
+++ b/git-rebase--cherry.sh
@@ -18,6 +18,9 @@ esac
 
 test -n "$rebase_root" && root_flag=--root
 
+mkdir "$state_dir" || die "Could not create temporary $state_dir"
+: > "$state_dir"/cherry || die "Could not mark as cherry"
+
 # we have to do this the hard way.  git format-patch completely squashes
 # empty commits and even if it didn't the format doesn't really lend
 # itself well to recording empty patches.  fortunately, cherry-pick
@@ -32,3 +35,4 @@ then
 fi
 
 move_to_original_branch
+rm -rf "$state_dir"
diff --git a/git-rebase.sh b/git-rebase.sh
index 2754985..b7759d5 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -174,6 +174,9 @@ then
        then
                type=interactive
                interactive_rebase=explicit
+       elif test -f "$merge_dir"/cherry
+       then
+               type=cherry
        else
                type=merge
        fi
@@ -382,7 +385,7 @@ then
 elif test -n "$keep_empty"
 then
        type=cherry
-       state_dir="$apply_dir"
+       state_dir="$merge_dir"
 else
        type=am
        state_dir="$apply_dir"
-- 
1.8.3.rc3.312.g47657de

--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majord...@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Reply via email to